.x_spin_image {
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    display: block;
    margin: auto;
    max-height: 100%;
    max-width: 100%;
}

.x_spin_image_box {
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    display: block;
    margin: auto;
    /*border: solid 1px #ff0000;*/
}

.x_spin_container {
    position: relative;
    border: solid 0px #ff0000;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    -webkit-tap-highlight-color: transparent;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    overflow: hidden;
}

    .x_spin_container .bg_spin {
        position: relative;
    }

        .x_spin_container .bg_spin .img {
            position: relative;
        }

    .x_spin_container .wheel {
        position: absolute;
        z-index: 200;
    }

        .x_spin_container .wheel .img {
            position: absolute;
            z-index: 100;
        }

    .x_spin_container .logo {
        position: absolute;
        z-index: 300;
    }

        .x_spin_container .logo .img {
            position: absolute;
            z-index: 100;
        }




















.x_win_text_container {
    border-radius: 10px;
    background: #000000cc;
    text-align: center;
    position: absolute;
    z-index: 1000;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    display: block;
    margin: auto;
    /*top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            -webkit-transform: translate(-50%, -50%);
            padding: 20px;*/
}

.x_win_text_header {
    color: #ffff00;
    font-size: 32px;
    /*background: linear-gradient(to left, #e72a3a 10%, #fff 50%, #5bdaff 60%);
            background-size: auto auto;
            background-clip: border-box;
            background-size: 200% auto;
            background-clip: text;
            text-fill-color: transparent;
            -webkit-background-clip: text;
            -webkit-text-fill-color: transparent;
            animation: textclip 1.5s linear infinite;*/
}

.x_win_text_box {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
}

.x_win_close_button {
    background-image: linear-gradient(to right, #EB3349 0%, #F45C43 51%, #EB3349 100%);
    color: #fff;
    padding: 20px;
    border-radius: 10px;
    cursor: pointer;
    display: inline;
    /*font-weight:bold;*/
    text-transform: uppercase;
    font-size: 14pt;
    transition: 0.5s;
    background-size: 200% auto;
}

    .x_win_close_button:hover {
        background-position: right center;
    }

.x_win_text {
    color: #fff;
    font-size: 48px;
    background: linear-gradient(to right, #e72a3a 10%, #fff 50%, #5bdaff 60%);
    background-size: auto auto;
    background-clip: border-box;
    background-size: 200% auto;
    /*color: #fff;*/
    background-clip: text;
    text-fill-color: transparent;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: textclip 1.5s linear infinite;
}

@keyframes textclip {
    to {
        background-position: 200% center;
    }
}



.x_spin_button_logined {
    background-image: linear-gradient(to right, #EB3349 0%, #F45C43 51%, #EB3349 100%);
    color: #fff;
    padding: 10px;
    margin: 4px 0px 4px 0px;
    border-radius: 10px;
    cursor: pointer;
    transition: 0.5s;
    background-size: 200% auto;
    /*font-weight:bold;*/
    text-transform: uppercase;
    font-size: 12pt;
    text-align: center;
}

    .x_spin_button_logined:hover {
        background-position: right center;
    }

.x_spin_button_not_login {
    color: #ff0000;
    font-size: 18px;
    background: linear-gradient(to right, #ff0000 10%, #ffffff 60%);
    background-size: auto auto;
    background-clip: border-box;
    background-size: 200% auto;
    
    background-clip: text;
    text-fill-color: transparent;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: textclip 1.5s linear infinite;

    text-align:center;
}
